### Signal

# Gtk TextBuffer::end-user-action

#### Declaration

    void
    end_user_action (
      GtkTextBuffer* self,
      gpointer user_data
    )

#### Description [src]

Emitted at the end of a single user-visible operation on the `GtkTextBuffer`.

See also: `gtk_text_buffer_end_user_action()`, `gtk_text_buffer_insert_interactive()`, `gtk_text_buffer_insert_range_interactive()`, `gtk_text_buffer_delete_interactive()`, `gtk_text_buffer_backspace()`, `gtk_text_buffer_delete_selection()`, `gtk_text_buffer_backspace()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.